phing-tasks-system-condition

# Class: ReferenceExistsCondition Source Location: /tasks/system/condition/ReferenceExistsCondition.php
### Class Overview
    ProjectComponent
       |
       --ReferenceExistsCondition
Condition that tests whether a given reference exists. #### Author(s): Matthias Pigulla <mp@webfactory.de> (Phing) #### Version: $Revision: 526 $ Implements interfaces: Condition | ### Methods evaluate setRef
### Inherited Variables #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 30] Condition that tests whether a given reference exists. #### Tags:
author: | Matthias Pigulla <mp@webfactory.de> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method evaluate [line 42]
`void evaluate( )`
Check whether the reference exists. #### Tags:
throws: | BuildException
access: | public
Implementation of: Condition::evaluate() [ Top ] ### method setRef [line 34]
`void setRef( $id)`
#### Tags:
access: | public
#### Parameters:
| $id |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:51 +0200 by phpDocumentor 1.4.3